package main

type Block struct {
	Coords [][]Coord
	Color  string
	Shape  string
}

type Coord struct {
	x int
	y int
}

// colors are material 700
var blocks = []Block{
	{
		Color: "cyan",
		Coords: [][]Coord{
			{{0, 1}, {1, 1}, {2, 1}, {3, 1}},
			{{1, 0}, {1, 1}, {1, 2}, {1, 3}},
			{{0, 1}, {1, 1}, {2, 1}, {3, 1}},
			{{1, 0}, {1, 1}, {1, 2}, {1, 3}}},
		Shape: "I",
	}, {
		Color: "purple",
		Coords: [][]Coord{
			{{0, 1}, {1, 1}, {2, 1}, {2, 2}},
			{{1, 0}, {1, 1}, {1, 2}, {2, 0}},
			{{0, 1}, {0, 2}, {1, 2}, {2, 2}},
			{{1, 2}, {2, 0}, {2, 1}, {2, 2}}},
		Shape: "J",
	}, {
		Color: "orange",
		Coords: [][]Coord{
			{{0, 1}, {0, 2}, {1, 1}, {2, 1}},
			{{1, 0}, {1, 1}, {1, 2}, {2, 2}},
			{{0, 2}, {1, 2}, {2, 1}, {2, 2}},
			{{1, 0}, {2, 0}, {2, 1}, {2, 2}}},
		Shape: "L",
	}, {
		Color: "yellow",
		Coords: [][]Coord{
			{{1, 1}, {1, 2}, {2, 1}, {2, 2}},
			{{1, 1}, {1, 2}, {2, 1}, {2, 2}},
			{{1, 1}, {1, 2}, {2, 1}, {2, 2}},
			{{1, 1}, {1, 2}, {2, 1}, {2, 2}}},
		Shape: "O",
	}, {
		Color: "lime",
		Coords: [][]Coord{
			{{0, 2}, {1, 1}, {1, 2}, {2, 1}},
			{{1, 0}, {1, 1}, {2, 1}, {2, 2}},
			{{0, 2}, {1, 1}, {1, 2}, {2, 1}},
			{{1, 0}, {1, 1}, {2, 1}, {2, 2}}},
		Shape: "S",
	}, {
		Color: "blue",
		Coords: [][]Coord{
			{{0, 1}, {1, 1}, {1, 2}, {2, 1}},
			{{1, 0}, {1, 1}, {1, 2}, {2, 1}},
			{{0, 2}, {1, 1}, {1, 2}, {2, 2}},
			{{1, 1}, {2, 0}, {2, 1}, {2, 2}}},
		Shape: "T",
	}, {
		Color: "red",
		Coords: [][]Coord{
			{{0, 1}, {1, 1}, {1, 2}, {2, 2}},
			{{1, 1}, {1, 2}, {2, 0}, {2, 1}},
			{{0, 1}, {1, 1}, {1, 2}, {2, 2}},
			{{1, 1}, {1, 2}, {2, 0}, {2, 1}}},
		Shape: "Z",
	},
}
